### Hierarchy

- BaseOptions
  - ScriptOptions
  - RunningScriptOptions
  - CompileFunctionOptions

## Index

### Properties

- columnOffset
- filename
- lineOffset

## Properties

### Optional columnOffset

columnOffset: undefined | number

- Defined in node_modules/@types/node/vm.d.ts:20

Specifies the column number offset that is displayed in stack traces produced by this script. Default: `0`

### Optional filename

filename: undefined | string

- Defined in node_modules/@types/node/vm.d.ts:10

Specifies the filename used in stack traces produced by this script. Default: `''`.

### Optional lineOffset

lineOffset: undefined | number

- Defined in node_modules/@types/node/vm.d.ts:15

Specifies the line number offset that is displayed in stack traces produced by this script. Default: `0`.

Generated using TypeDoc